# $Revision: 1.35 $, $Date: 2010/03/27 17:31:48 $
Summary:	Privoxy - privacy enhancing proxy
Summary(pl.UTF-8):	Privoxy - proxy rozszerzające prywatność
Name:		privoxy
Version:	3.0.16
Release:	1
License:	GPL v2+
Source0:	http://dl.sourceforge.net/ijbswa/%{name}-%{version}-stable-src.tar.gz
# Source0-md5:	64d3ffcdf8307e04a375773bb4eb255e
Source1:	%{name}.init
Source2:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
Group:		Networking/Daemons
URL:		http://www.privoxy.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	lynx
BuildRequires:	pcre-devel
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(privoxy)
Provides:	user(privoxy)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Privoxy is a web proxy with advanced filtering capabilities for
protecting privacy, filtering web page content, managing cookies,
controlling access, and removing ads, banners, pop-ups and other
obnoxious Internet junk. Privoxy has a very flexible configuration and
can be customized to suit individual needs and tastes. Privoxy has
application for both stand-alone systems and multi-user networks.

Privoxy is based on the Internet Junkbuster.

%description -l pl.UTF-8
Privoxy to proxy WWW z rozszerzonymi możliwościami filtrowania
służącymi do zabezpieczenia prywatności, filtrowania zawartości stron
WWW, zarządzania ciasteczkami, kontroli dostępu, usuwania bannerów,
wyskakujących okienek i innych wstrętnych internetowych śmieci.
Privoxy ma bardzo elastyczną konfigurację i może być dopasowywane do
indywidualnych potrzeb i gustów. Privoxy ma aplikację dla systemów
samodzielnych i serwerów sieciowych dla wielu użytkowników.

Privoxy jest oparte na Internet Junkbusterze.

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
cp -f /usr/share/automake/config.sub .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	CONF_BASE=%{_sysconfdir}/privoxy \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

# just GPLv2
rm -f $RPM_BUILD_ROOT%{_docdir}/privoxy/LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 108 privoxy
%useradd -u 108 -d %{_sysconfdir}/%{name} -s /bin/false -c "%{name} user" -g privoxy privoxy

%post
/sbin/chkconfig --add privoxy
%service privoxy restart

%preun
if [ "$1" = "0" ]; then
	%service -q privoxy stop
	/sbin/chkconfig --del privoxy
fi

%postun
if [ "$1" = "0" ]; then
	%userremove privoxy
	%groupremove privoxy
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/%{name}
%dir %attr(751,root,privoxy) %{_sysconfdir}/%{name}
%dir %attr(751,root,privoxy) %{_sysconfdir}/%{name}/templates
%attr(640,root,privoxy) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/config
%attr(640,root,privoxy) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/trust
%attr(640,root,privoxy) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.*
%attr(640,root,privoxy) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/templates/*
%config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man1/%{name}.*
%dir %attr(751,privoxy,privoxy) /var/log/%{name}
%attr(640,privoxy,privoxy) %ghost %verify(not md5 mtime size) /var/log/%{name}/*
%{_docdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: privoxy.spec,v $
Revision 1.35  2010/03/27 17:31:48  areq
- 3.0.16

Revision 1.34  2010/02/27 21:11:21  sparky
- unify %attr() %ghost order

Revision 1.33  2009/05/18 19:44:22  charles
- updated to 3.0.12
- cleanups, integer rel.

Revision 1.32  2008/10/14 18:53:15  twittner
- readded -DESTDIR.patch (see its commitlog for reason)
- don't override CFLAGS, use OTHER_CFLAGS variable instead
- rel. 02

Revision 1.31  2008/10/12 17:15:34  twittner
- up to 3.0.10
- -DESTDIR.patch removed (applied upstream)
- rel. 0.1 - rpm -E '%_docdir' shows that this macro is not defined

Revision 1.30  2008/03/09 19:45:13  radek
- version 3.0.8

Revision 1.29  2007-02-13 08:06:41  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.27  2006/09/09 01:33:57  glen
- rel 6 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.26  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.25  2006/04/14 15:49:58  glen
- rel 5

Revision 1.24  2006/04/01 20:03:53  radek
- removed -x permission bit from config files

Revision 1.23  2006/03/12 21:41:24  glen
- BR macros for %service, adapterized

Revision 1.22  2005/12/13 20:20:29  radek
- release 3

Revision 1.21  2005/11/14 11:18:33  qboosh
- sorted verify() flags

Revision 1.20  2005/11/13 15:39:34  darekr
- BR: automake

Revision 1.19  2005/11/13 15:35:39  radek
- release 2.3: fix autoshmoo (aclocal, cp config.sub)

Revision 1.18  2005/11/13 15:24:03  radek
- release 2.2: further cleanup
- BR: pcre-devel, removed --disable-dynamic-pcre
- License: GPL v2+ (as README says)
- added -DESTDIR.patch
- NOTE: should it be built with -pthread?

Revision 1.17  2005/11/12 23:56:25  radek
- release 2.1; cleanup, but still too crappy for integer R:
- removed O: junkbuster (never present in PLD)
- sanitized %files (one %defattr per package allowed, privoxy user
  doesn't need to own the config files)
- cut non-PLD changelog

Revision 1.16  2005/10/23 09:46:58  freetz
- added privoxy.init and privoxy.logrotate, rel.2

Revision 1.15  2005/08/09 22:18:00  freetz
- 3.0.3, %service stuff, small cleanup

Revision 1.14  2005/05/20 18:12:59  darekr
- killed setting perms in %install

Revision 1.13  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.12  2005/03/03 14:47:15  darekr
- BR: s/perl/perl-base/

Revision 1.11  2004/10/31 21:20:04  paladine
- spaces->tabs
- formatting

Revision 1.10  2004/10/24 20:34:40  paladine
- spelling fixes, uppercases, etc.

Revision 1.9  2004/08/25 22:49:36  ankry
- -r not necessary

Revision 1.8  2004/08/25 22:47:52  ankry
- use %userremove/%groupremove, fix UID/GID

Revision 1.7  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.6  2003/10/30 14:48:42  qboosh
- removed LICENSE from doc (just GPL)

Revision 1.5  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.4  2003/05/28 13:01:23  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:25:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/11/29 23:28:27  qboosh
- pl description, some cleanups

Revision 1.1  2002/11/11 20:17:55  hunter
- specfile taken from sf.net
